Package org.pushingpixels.substance.api.fonts

# Interface FontSet

All Known Implementing Classes:
  `ScaledFontSet`

public interface FontSet
Returns the Fonts used by a Look&Feel or theme. These Fonts must implement the UIResource marker interface.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`FontUIResource`
`getControlFont()`
Returns the font used for all dialog components.
`FontUIResource`
`getMenuFont()`
Returns the font used for the menu.
`FontUIResource`
`getMessageFont()`
Returns the font used for message dialogs.
`FontUIResource`
`getSmallFont()`
Returns the font used for tool tips.
`FontUIResource`
`getTitleFont()`
Returns the font used for the title label in TitledBorders.
`FontUIResource`
`getWindowTitleFont()`
Returns the font used for internal frame titles.

## Method Details

### getControlFont

FontUIResource getControlFont()
Returns the font used for all dialog components.

Returns:
  the font used for all dialog components.

### getMenuFont

FontUIResource getMenuFont()
Returns the font used for the menu.

Returns:
  the font used for the menu.

### getTitleFont

FontUIResource getTitleFont()
Returns the font used for the title label in TitledBorders. This font is also used by JGoodies Forms titles, and titled separators.

Returns:
  the font used for TitledBorder titles.

### getWindowTitleFont

FontUIResource getWindowTitleFont()
Returns the font used for internal frame titles.

Returns:
  the font used for internal frame titles.

### getSmallFont

FontUIResource getSmallFont()
Returns the font used for tool tips.

Returns:
  the tool tip font.

### getMessageFont

FontUIResource getMessageFont()
Returns the font used for message dialogs.

Returns:
  the font used for message dialogs.